> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payouts



## OpenAPI

````yaml openapi/payouts.yaml get /v1/payouts
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Payouts API
  description: >-
    The Circle Payouts API allows you to programmatically make fast, global
    payouts to your customers, vendors, and suppliers. Make payouts on supported
    blockchains.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payouts
    description: Create and get information on address book payouts.
  - name: Crypto Address Book
    description: Manage blockchain addresses with metadata.
paths:
  /v1/payouts:
    get:
      tags:
        - Payouts
      summary: List all payouts
      operationId: listPayouts
      parameters:
        - name: source
          description: >-
            Identifier for the source wallet. Filters the fetched payout results
            to only be from a specific source wallet. If not provided, payouts
            from all wallets will be returned.
          in: query
          required: false
          schema:
            type: string
            example: '1000565227'
        - name: destination
          description: >-
            Universally unique identifier (UUID v4) for the destination. Filters
            the fetched payout results made to a specific destination. If not
            provided, payouts to all destinations will be returned.
          in: query
          required: false
          schema:
            type: string
            format: uuid
            example: 54c1cbab-c419-450f-ad23-906fa03af7f0
        - name: type
          description: >-
            Destination type. Filters the results to fetch all payouts made to a
            specified destination type. This query parameter can be passed
            multiple times to fetch results matching multiple destination types.
            The address_book destination type cannot be combined with other
            types.
          in: query
          required: false
          schema:
            type: array
            uniqueItems: true
            items:
              $ref: '#/components/schemas/PayoutDestinationType'
        - name: status
          description: >-
            Queries items with the specified status. Matches any status if
            unspecified.
          in: query
          required: false
          schema:
            type: array
            uniqueItems: true
            items:
              $ref: '#/components/schemas/PayoutStatus'
        - name: sourceCurrency
          description: >-
            Queries items with the specified source currency `amount.currency`.
            Matches any source currency if unspecified.
          in: query
          required: false
          schema:
            type: string
            enum:
              - USD
              - EUR
              - BTC
              - ETH
              - MTC
              - FLW
              - MAN
        - name: destinationCurrency
          description: >-
            Queries items with the specified destination currency
            `toAmount.currency`. Matches any destination currency if
            unspecified.
          in: query
          required: false
          schema:
            type: string
            enum:
              - USD
              - EUR
              - BTC
              - ETH
              - MTC
              - FLW
              - MAN
        - $ref: '#/components/parameters/Chain'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of payouts.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListPayoutsResponse
                properties:
                  data:
                    type: array
                    description: >-
                      List items omit `purposeOfTransfer` and do not vary by
                      entity.
                    items:
                      allOf:
                        - $ref: '#/components/schemas/CryptoPayoutResponseGeneral'
                        - type: object
                          properties:
                            externalRef:
                              type: string
                              nullable: true
                              description: >-
                                Onchain transaction hash for the payout. Present
                                once the transaction has been broadcast to the
                                network.
                              example: >-
                                0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
              examples:
                Crypto Payout:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        sourceWalletId: '53535335'
                        destination:
                          type: address_book
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        amount:
                          amount: '3.14'
                          currency: USD
                        toAmount:
                          amount: '3.14'
                          currency: ETH
                        fees:
                          amount: '3.14'
                          currency: USD
                        networkFees:
                          amount: '0.14'
                          currency: USD
                        status: pending
                        errorCode: transaction_denied
                        riskEvaluation:
                          decision: denied
                          reason: '4000'
                        externalRef: >-
                          0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    PayoutDestinationType:
      type: string
      description: The destination type.
      enum:
        - address_book
    PayoutStatus:
      type: string
      description: >-
        Status of the payout. Status `pending` indicates that the payout is in
        process; `complete` indicates it finished successfully; `failed`
        indicates it failed.
      enum:
        - pending
        - complete
        - failed
    CryptoPayoutResponseGeneral:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        sourceWalletId:
          type: string
          description: The identifier of the source wallet used to fund a payout.
          example: '53535335'
        destination:
          $ref: '#/components/schemas/CryptoPayoutDestination'
        amount:
          $ref: '#/components/schemas/PayoutMoney'
        toAmount:
          $ref: '#/components/schemas/PayoutMoney'
        fees:
          $ref: '#/components/schemas/PayoutMoney'
        networkFees:
          $ref: '#/components/schemas/PayoutMoney'
        status:
          $ref: '#/components/schemas/PayoutStatus'
        errorCode:
          $ref: '#/components/schemas/PayoutErrorCode'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    CryptoPayoutDestination:
      type: object
      description: The destination.
      required:
        - type
        - id
      properties:
        type:
          $ref: '#/components/schemas/CryptoPayoutDestinationType'
        id:
          $ref: '#/components/schemas/Id'
    PayoutMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
            - EUR
            - BTC
            - ETH
            - MTC
            - FLW
            - MAN
    PayoutErrorCode:
      type: string
      nullable: true
      description: >-
        Indicates the failure reason of a payout. Only present for payouts in
        failed state. Possible values are [`insufficient_funds`,
        `transaction_denied`, `transaction_failed`, `transaction_returned`,
        `bank_transaction_error`, `fiat_account_limit_exceeded`,
        `invalid_bank_account_number`, `invalid_ach_rtn`, `invalid_wire_rtn`,
        `vendor_inactive`]'
      enum:
        - insufficient_funds
        - transaction_denied
        - transaction_failed
        - transaction_returned
        - bank_transaction_error
        - fiat_account_limit_exceeded
        - invalid_bank_account_number
        - invalid_ach_rtn
        - invalid_wire_rtn
        - vendor_inactive
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    CryptoPayoutDestinationType:
      type: string
      description: The destination type.
      enum:
        - address_book
  parameters:
    Chain:
      name: chain
      description: Queries items with the specified chain. Matches any chain if unspecified
      in: query
      required: false
      schema:
        type: string
        enum:
          - ALGO
          - APTOS
          - ARB
          - AVAX
          - BASE
          - BTC
          - CELO
          - CODEX
          - ETH
          - HBAR
          - HYPEREVM
          - INK
          - LINEA
          - NEAR
          - NOBLE
          - OP
          - PLUME
          - PAH
          - POLY
          - SEI
          - SOL
          - SONIC
          - SUI
          - UNI
          - WORLDCHAIN
          - XDC
          - XLM
          - XRP
          - ZKS
          - ZKSYNC
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````